# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'cpdlcConnection.ui'
#
# Created by: PyQt5 UI code generator 5.14.1
#
# WARNING! All changes made in this file will be lost!


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_cpdlcConnection(object):
    def setupUi(self, cpdlcConnection):
        cpdlcConnection.setObjectName("cpdlcConnection")
        cpdlcConnection.resize(526, 476)
        self.verticalLayout = QtWidgets.QVBoxLayout(cpdlcConnection)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.acftCallsign_info = QtWidgets.QLabel(cpdlcConnection)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.acftCallsign_info.setFont(font)
        self.acftCallsign_info.setObjectName("acftCallsign_info")
        self.gridLayout.addWidget(self.acftCallsign_info, 0, 1, 1, 1)
        self.status_info = QtWidgets.QLabel(cpdlcConnection)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.status_info.setFont(font)
        self.status_info.setObjectName("status_info")
        self.gridLayout.addWidget(self.status_info, 1, 1, 1, 2)
        self.disconnect_button = QtWidgets.QToolButton(cpdlcConnection)
        self.disconnect_button.setMinimumSize(QtCore.QSize(40, 0))
        self.disconnect_button.setObjectName("disconnect_button")
        self.gridLayout.addWidget(self.disconnect_button, 0, 3, 1, 1)
        self.transfer_button = QtWidgets.QToolButton(cpdlcConnection)
        self.transfer_button.setObjectName("transfer_button")
        self.gridLayout.addWidget(self.transfer_button, 0, 2, 1, 1)
        self.label_3 = QtWidgets.QLabel(cpdlcConnection)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 1, 0, 1, 1)
        self.label = QtWidgets.QLabel(cpdlcConnection)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label.sizePolicy().hasHeightForWidth())
        self.label.setSizePolicy(sizePolicy)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.resolveProblems_button = QtWidgets.QToolButton(cpdlcConnection)
        self.resolveProblems_button.setMinimumSize(QtCore.QSize(40, 0))
        self.resolveProblems_button.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.resolveProblems_button.setObjectName("resolveProblems_button")
        self.gridLayout.addWidget(self.resolveProblems_button, 1, 3, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.acceptRejectTransfer_panel = QtWidgets.QFrame(cpdlcConnection)
        self.acceptRejectTransfer_panel.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.acceptRejectTransfer_panel.setFrameShadow(QtWidgets.QFrame.Raised)
        self.acceptRejectTransfer_panel.setObjectName("acceptRejectTransfer_panel")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.acceptRejectTransfer_panel)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.acceptTransfer_button = QtWidgets.QPushButton(self.acceptRejectTransfer_panel)
        self.acceptTransfer_button.setObjectName("acceptTransfer_button")
        self.horizontalLayout_2.addWidget(self.acceptTransfer_button)
        self.rejectTransfer_button = QtWidgets.QPushButton(self.acceptRejectTransfer_panel)
        self.rejectTransfer_button.setObjectName("rejectTransfer_button")
        self.horizontalLayout_2.addWidget(self.rejectTransfer_button)
        self.verticalLayout.addWidget(self.acceptRejectTransfer_panel)
        self.messages_tableView = QtWidgets.QTableView(cpdlcConnection)
        self.messages_tableView.setSelectionMode(QtWidgets.QAbstractItemView.NoSelection)
        self.messages_tableView.setShowGrid(False)
        self.messages_tableView.setObjectName("messages_tableView")
        self.messages_tableView.horizontalHeader().setVisible(False)
        self.messages_tableView.horizontalHeader().setStretchLastSection(True)
        self.messages_tableView.verticalHeader().setVisible(False)
        self.verticalLayout.addWidget(self.messages_tableView)
        self.send_frame = QtWidgets.QFrame(cpdlcConnection)
        self.send_frame.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.send_frame.setFrameShadow(QtWidgets.QFrame.Raised)
        self.send_frame.setObjectName("send_frame")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.send_frame)
        self.gridLayout_2.setVerticalSpacing(12)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.instructAsRequested_button = QtWidgets.QPushButton(self.send_frame)
        self.instructAsRequested_button.setObjectName("instructAsRequested_button")
        self.gridLayout_2.addWidget(self.instructAsRequested_button, 1, 0, 1, 2)
        self.sendMsgPanel_stack = QtWidgets.QStackedWidget(self.send_frame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.sendMsgPanel_stack.sizePolicy().hasHeightForWidth())
        self.sendMsgPanel_stack.setSizePolicy(sizePolicy)
        self.sendMsgPanel_stack.setObjectName("sendMsgPanel_stack")
        self.manualElement_page = QtWidgets.QWidget()
        self.manualElement_page.setObjectName("manualElement_page")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout(self.manualElement_page)
        self.horizontalLayout_4.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.manualElement_stack = QtWidgets.QStackedWidget(self.manualElement_page)
        self.manualElement_stack.setObjectName("manualElement_stack")
        self.eltIdChoice_page = QtWidgets.QWidget()
        self.eltIdChoice_page.setObjectName("eltIdChoice_page")
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout(self.eltIdChoice_page)
        self.horizontalLayout_6.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.rteEltId_button = QtWidgets.QToolButton(self.eltIdChoice_page)
        self.rteEltId_button.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.rteEltId_button.setObjectName("rteEltId_button")
        self.horizontalLayout_6.addWidget(self.rteEltId_button)
        self.latEltId_button = QtWidgets.QToolButton(self.eltIdChoice_page)
        self.latEltId_button.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.latEltId_button.setObjectName("latEltId_button")
        self.horizontalLayout_6.addWidget(self.latEltId_button)
        self.lvlEltId_button = QtWidgets.QToolButton(self.eltIdChoice_page)
        self.lvlEltId_button.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.lvlEltId_button.setObjectName("lvlEltId_button")
        self.horizontalLayout_6.addWidget(self.lvlEltId_button)
        self.cstEltId_button = QtWidgets.QToolButton(self.eltIdChoice_page)
        self.cstEltId_button.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.cstEltId_button.setObjectName("cstEltId_button")
        self.horizontalLayout_6.addWidget(self.cstEltId_button)
        self.spdEltId_button = QtWidgets.QToolButton(self.eltIdChoice_page)
        self.spdEltId_button.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.spdEltId_button.setObjectName("spdEltId_button")
        self.horizontalLayout_6.addWidget(self.spdEltId_button)
        self.advEltId_button = QtWidgets.QToolButton(self.eltIdChoice_page)
        self.advEltId_button.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.advEltId_button.setObjectName("advEltId_button")
        self.horizontalLayout_6.addWidget(self.advEltId_button)
        spacerItem = QtWidgets.QSpacerItem(10, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem)
        self.otherEltId_button = QtWidgets.QToolButton(self.eltIdChoice_page)
        self.otherEltId_button.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.otherEltId_button.setObjectName("otherEltId_button")
        self.horizontalLayout_6.addWidget(self.otherEltId_button)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem1)
        self.manualElement_stack.addWidget(self.eltIdChoice_page)
        self.eltIdSelected_page = QtWidgets.QWidget()
        self.eltIdSelected_page.setObjectName("eltIdSelected_page")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.eltIdSelected_page)
        self.horizontalLayout_3.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.cancelManualElt_button = QtWidgets.QToolButton(self.eltIdSelected_page)
        self.cancelManualElt_button.setFocusPolicy(QtCore.Qt.NoFocus)
        self.cancelManualElt_button.setAutoRaise(True)
        self.cancelManualElt_button.setObjectName("cancelManualElt_button")
        self.horizontalLayout_3.addWidget(self.cancelManualElt_button)
        self.selectedEltId_info = QtWidgets.QLabel(self.eltIdSelected_page)
        self.selectedEltId_info.setObjectName("selectedEltId_info")
        self.horizontalLayout_3.addWidget(self.selectedEltId_info)
        self.msgElementArgs_layout = QtWidgets.QHBoxLayout()
        self.msgElementArgs_layout.setObjectName("msgElementArgs_layout")
        self.horizontalLayout_3.addLayout(self.msgElementArgs_layout)
        self.appendManualElement_button = QtWidgets.QToolButton(self.eltIdSelected_page)
        self.appendManualElement_button.setMinimumSize(QtCore.QSize(40, 0))
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.appendManualElement_button.setFont(font)
        self.appendManualElement_button.setObjectName("appendManualElement_button")
        self.horizontalLayout_3.addWidget(self.appendManualElement_button)
        self.manualElement_stack.addWidget(self.eltIdSelected_page)
        self.horizontalLayout_4.addWidget(self.manualElement_stack)
        self.sendMsgPanel_stack.addWidget(self.manualElement_page)
        self.freeTxt_page = QtWidgets.QWidget()
        self.freeTxt_page.setObjectName("freeTxt_page")
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout(self.freeTxt_page)
        self.horizontalLayout_5.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.freeText_edit = QtWidgets.QLineEdit(self.freeTxt_page)
        self.freeText_edit.setObjectName("freeText_edit")
        self.horizontalLayout_5.addWidget(self.freeText_edit)
        self.appendFreeText_button = QtWidgets.QToolButton(self.freeTxt_page)
        self.appendFreeText_button.setMinimumSize(QtCore.QSize(40, 0))
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.appendFreeText_button.setFont(font)
        self.appendFreeText_button.setObjectName("appendFreeText_button")
        self.horizontalLayout_5.addWidget(self.appendFreeText_button)
        self.sendMsgPanel_stack.addWidget(self.freeTxt_page)
        self.quickStd_page = QtWidgets.QWidget()
        self.quickStd_page.setObjectName("quickStd_page")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.quickStd_page)
        self.horizontalLayout.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.roger_button = QtWidgets.QToolButton(self.quickStd_page)
        self.roger_button.setObjectName("roger_button")
        self.horizontalLayout.addWidget(self.roger_button)
        self.wilco_button = QtWidgets.QToolButton(self.quickStd_page)
        self.wilco_button.setObjectName("wilco_button")
        self.horizontalLayout.addWidget(self.wilco_button)
        self.unable_button = QtWidgets.QToolButton(self.quickStd_page)
        self.unable_button.setObjectName("unable_button")
        self.horizontalLayout.addWidget(self.unable_button)
        self.affirm_button = QtWidgets.QToolButton(self.quickStd_page)
        self.affirm_button.setObjectName("affirm_button")
        self.horizontalLayout.addWidget(self.affirm_button)
        self.negative_button = QtWidgets.QToolButton(self.quickStd_page)
        self.negative_button.setObjectName("negative_button")
        self.horizontalLayout.addWidget(self.negative_button)
        self.stby_button = QtWidgets.QToolButton(self.quickStd_page)
        self.stby_button.setObjectName("stby_button")
        self.horizontalLayout.addWidget(self.stby_button)
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem2)
        self.sendMsgPanel_stack.addWidget(self.quickStd_page)
        self.gridLayout_2.addWidget(self.sendMsgPanel_stack, 2, 1, 1, 1)
        self.messageBuffer_widget = QtWidgets.QWidget(self.send_frame)
        self.messageBuffer_widget.setObjectName("messageBuffer_widget")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.messageBuffer_widget)
        self.gridLayout_3.setContentsMargins(0, 0, 0, 0)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.sendMsgBuffer_button = QtWidgets.QToolButton(self.messageBuffer_widget)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.sendMsgBuffer_button.setFont(font)
        self.sendMsgBuffer_button.setObjectName("sendMsgBuffer_button")
        self.gridLayout_3.addWidget(self.sendMsgBuffer_button, 2, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(self.messageBuffer_widget)
        self.label_4.setObjectName("label_4")
        self.gridLayout_3.addWidget(self.label_4, 0, 0, 1, 1)
        self.clearMsgBuffer_button = QtWidgets.QToolButton(self.messageBuffer_widget)
        self.clearMsgBuffer_button.setAutoRaise(True)
        self.clearMsgBuffer_button.setObjectName("clearMsgBuffer_button")
        self.gridLayout_3.addWidget(self.clearMsgBuffer_button, 1, 1, 1, 1)
        self.msgBuffer_view = QtWidgets.QListView(self.messageBuffer_widget)
        self.msgBuffer_view.setDragDropMode(QtWidgets.QAbstractItemView.InternalMove)
        self.msgBuffer_view.setObjectName("msgBuffer_view")
        self.gridLayout_3.addWidget(self.msgBuffer_view, 1, 0, 2, 1)
        self.gridLayout_2.addWidget(self.messageBuffer_widget, 0, 0, 1, 2)
        self.sendMsgPanel_select = QtWidgets.QComboBox(self.send_frame)
        self.sendMsgPanel_select.setObjectName("sendMsgPanel_select")
        self.sendMsgPanel_select.addItem("")
        self.sendMsgPanel_select.addItem("")
        self.sendMsgPanel_select.addItem("")
        self.gridLayout_2.addWidget(self.sendMsgPanel_select, 2, 0, 1, 1)
        self.verticalLayout.addWidget(self.send_frame)

        self.retranslateUi(cpdlcConnection)
        self.sendMsgPanel_stack.setCurrentIndex(0)
        self.manualElement_stack.setCurrentIndex(0)
        self.freeText_edit.returnPressed.connect(self.appendFreeText_button.animateClick)
        QtCore.QMetaObject.connectSlotsByName(cpdlcConnection)
        cpdlcConnection.setTabOrder(self.acceptTransfer_button, self.rejectTransfer_button)
        cpdlcConnection.setTabOrder(self.rejectTransfer_button, self.messages_tableView)
        cpdlcConnection.setTabOrder(self.messages_tableView, self.msgBuffer_view)
        cpdlcConnection.setTabOrder(self.msgBuffer_view, self.sendMsgBuffer_button)
        cpdlcConnection.setTabOrder(self.sendMsgBuffer_button, self.clearMsgBuffer_button)
        cpdlcConnection.setTabOrder(self.clearMsgBuffer_button, self.instructAsRequested_button)
        cpdlcConnection.setTabOrder(self.instructAsRequested_button, self.sendMsgPanel_select)
        cpdlcConnection.setTabOrder(self.sendMsgPanel_select, self.rteEltId_button)
        cpdlcConnection.setTabOrder(self.rteEltId_button, self.latEltId_button)
        cpdlcConnection.setTabOrder(self.latEltId_button, self.lvlEltId_button)
        cpdlcConnection.setTabOrder(self.lvlEltId_button, self.cstEltId_button)
        cpdlcConnection.setTabOrder(self.cstEltId_button, self.spdEltId_button)
        cpdlcConnection.setTabOrder(self.spdEltId_button, self.advEltId_button)
        cpdlcConnection.setTabOrder(self.advEltId_button, self.otherEltId_button)
        cpdlcConnection.setTabOrder(self.otherEltId_button, self.appendManualElement_button)
        cpdlcConnection.setTabOrder(self.appendManualElement_button, self.freeText_edit)
        cpdlcConnection.setTabOrder(self.freeText_edit, self.appendFreeText_button)
        cpdlcConnection.setTabOrder(self.appendFreeText_button, self.roger_button)
        cpdlcConnection.setTabOrder(self.roger_button, self.wilco_button)
        cpdlcConnection.setTabOrder(self.wilco_button, self.unable_button)
        cpdlcConnection.setTabOrder(self.unable_button, self.affirm_button)
        cpdlcConnection.setTabOrder(self.affirm_button, self.negative_button)
        cpdlcConnection.setTabOrder(self.negative_button, self.stby_button)
        cpdlcConnection.setTabOrder(self.stby_button, self.resolveProblems_button)
        cpdlcConnection.setTabOrder(self.resolveProblems_button, self.transfer_button)
        cpdlcConnection.setTabOrder(self.transfer_button, self.disconnect_button)

    def retranslateUi(self, cpdlcConnection):
        _translate = QtCore.QCoreApplication.translate
        self.acftCallsign_info.setText(_translate("cpdlcConnection", "N/A"))
        self.status_info.setText(_translate("cpdlcConnection", "N/A"))
        self.disconnect_button.setToolTip(_translate("cpdlcConnection", "Disconnect data link"))
        self.disconnect_button.setText(_translate("cpdlcConnection", "X"))
        self.transfer_button.setToolTip(_translate("cpdlcConnection", "Propose/abort data authority transfer"))
        self.transfer_button.setText(_translate("cpdlcConnection", "XFR..."))
        self.label_3.setText(_translate("cpdlcConnection", "Link status:"))
        self.label.setText(_translate("cpdlcConnection", "ACFT callsign:"))
        self.resolveProblems_button.setToolTip(_translate("cpdlcConnection", "Mark problem resolved"))
        self.resolveProblems_button.setText(_translate("cpdlcConnection", "ACK"))
        self.acceptTransfer_button.setText(_translate("cpdlcConnection", "Accept transfer"))
        self.rejectTransfer_button.setText(_translate("cpdlcConnection", "Reject transfer"))
        self.instructAsRequested_button.setText(_translate("cpdlcConnection", "Instruct as requested"))
        self.rteEltId_button.setToolTip(_translate("cpdlcConnection", "Route message elements"))
        self.rteEltId_button.setText(_translate("cpdlcConnection", "RTE"))
        self.latEltId_button.setToolTip(_translate("cpdlcConnection", "Lateral message elements"))
        self.latEltId_button.setText(_translate("cpdlcConnection", "LAT"))
        self.lvlEltId_button.setToolTip(_translate("cpdlcConnection", "Level message elements"))
        self.lvlEltId_button.setText(_translate("cpdlcConnection", "LVL"))
        self.cstEltId_button.setToolTip(_translate("cpdlcConnection", "Crossing constraint message elements"))
        self.cstEltId_button.setText(_translate("cpdlcConnection", "CST"))
        self.spdEltId_button.setToolTip(_translate("cpdlcConnection", "Speed message elements"))
        self.spdEltId_button.setText(_translate("cpdlcConnection", "SPD"))
        self.advEltId_button.setToolTip(_translate("cpdlcConnection", "Air traffic advisory message elements"))
        self.advEltId_button.setText(_translate("cpdlcConnection", "ADV"))
        self.otherEltId_button.setText(_translate("cpdlcConnection", "Other"))
        self.cancelManualElt_button.setToolTip(_translate("cpdlcConnection", "Clear (back to previous panel)"))
        self.cancelManualElt_button.setText(_translate("cpdlcConnection", "X"))
        self.selectedEltId_info.setText(_translate("cpdlcConnection", "###"))
        self.appendManualElement_button.setToolTip(_translate("cpdlcConnection", "Append element to message buffer"))
        self.appendManualElement_button.setText(_translate("cpdlcConnection", "+"))
        self.appendFreeText_button.setToolTip(_translate("cpdlcConnection", "Append free text element to message buffer"))
        self.appendFreeText_button.setText(_translate("cpdlcConnection", "+"))
        self.roger_button.setText(_translate("cpdlcConnection", "ROGER"))
        self.wilco_button.setText(_translate("cpdlcConnection", "WILCO"))
        self.unable_button.setText(_translate("cpdlcConnection", "UNABLE"))
        self.affirm_button.setText(_translate("cpdlcConnection", "AFFIRM"))
        self.negative_button.setText(_translate("cpdlcConnection", "NEGATIVE"))
        self.stby_button.setText(_translate("cpdlcConnection", "STBY"))
        self.sendMsgBuffer_button.setToolTip(_translate("cpdlcConnection", "Send message buffer"))
        self.sendMsgBuffer_button.setText(_translate("cpdlcConnection", "Send"))
        self.label_4.setText(_translate("cpdlcConnection", "Buffered message elements:"))
        self.clearMsgBuffer_button.setToolTip(_translate("cpdlcConnection", "Clear message buffer"))
        self.clearMsgBuffer_button.setText(_translate("cpdlcConnection", "Clear"))
        self.sendMsgPanel_select.setItemText(0, _translate("cpdlcConnection", "Select:"))
        self.sendMsgPanel_select.setItemText(1, _translate("cpdlcConnection", "Free text:"))
        self.sendMsgPanel_select.setItemText(2, _translate("cpdlcConnection", "Quick STD:"))
